- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
Sim::MassData Class Reference

MassData embeds information about the inertial mass of a physical object. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| MassData ()
| creates an empty MassData, you should not use this. More...
virtual | ~MassData ()
| destructor. More...
float | mass () const
| returns the mass in Kg. More...
const AL::Math::Position3D & | CoM () const
| returns the Center of Mass, relative to the frame of the object, defined in meters in a vector AL::Math::Position3D. More...
const std::vector< float > & | inertiaMatrix () const
| Inertia matrix, see Motion's module reference in Aldebaran's Documentation to have more details. More...

## Public Attributes
class MassDataImpl * | a_impl
| Private implementation. More...

## Detailed Description

MassData embeds information about the inertial mass of a physical object.

Definition at line 479 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::MassData::MassData | ( |  | ) |

creates an empty MassData, you should not use this.

Warning
  The MassData being empty, every access to this object will throw.

virtual Sim::MassData::~MassData | ( |  | ) |
| virtual

destructor.

## Member Function Documentation

const AL::Math::Position3D& Sim::MassData::CoM | ( |  | ) | const

returns the Center of Mass, relative to the frame of the object, defined in meters in a vector AL::Math::Position3D.

Remarks
  See the C++ reference of libalmath in Aldebaran's Documentation for more details on AL::Math::Position3D.

const std::vector<float>& Sim::MassData::inertiaMatrix | ( |  | ) | const

Inertia matrix, see Motion's module reference in Aldebaran's Documentation to have more details.

float Sim::MassData::mass | ( |  | ) | const

returns the mass in Kg.

## Member Data Documentation

class MassDataImpl* Sim::MassData::a_impl

Private implementation.

Definition at line 499 of file alrobotmodel.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h